spring:
  cloud:
    config:
      server:
        git:
          uri: http://gitea:3000/root/ARMS
          username: root
          password: qwe123!@#
          default-label: main
          token: 1e6d774e2e51c24a8abbe31fbae36d63560da546
          timeout: 30
          clone-on-start: true
          force-pull: true

#GET /repos/{owner}/{repo}/contents/{filepath}?ref={branch}
gitea:
  owner: root
  base-url: http://gitea:3000
  replace-url: http://gitea:3000
  system-info: http://gitea:3000/api/v1/repos/root/SystemInfo/contents/
  schedule-config: http://gitea:3000/api/v1/repos/root/schedule-config/contents/
  language-config: http://gitea:3000/api/v1/repos/root/language-config/contents/
  lang-pack:
    repo-name: "language-config"

#feignClient
arms:
  backend-core:
    url: http://backend-core:31313
  engine-fire:
    url: http://engine-fire:33333
  middle-proxy:
    url: http://middle-proxy:13131

#config client
clients:
  urls:
    backend-core:
      url: http://backend-core:31313
    engine-fire:
      url: http://engine-fire:33333
    middle-proxy:
      url: http://middle-proxy:13131

slack:
  service-name: ${spring.application.name}
  token: ${SLACK_TOKEN}
  profile: ${spring.profiles.active}
  url: https://slack.com/